SAGA_CMD(1)

NAME
saga_cmd - command-line interface to the System for Automated Geoscientific Analyses

SYNOPSIS
saga_cmd [-d, --docs]

saga_cmd [-b, --batch]

saga_cmd [-h, --help]

saga_cmd [-f, --flags][=qrsilpxo][-s, --story][=#][-c, --cores][=#] LIBRARY [MODULE] <module specific options...>

saga_cmd [-f, --flags][=qrsilpxo][-s, --story][=#][-c, --cores][=#] SCRIPT

DESCRIPTION
SAGA GIS (System for Automated Geoscientific Analysis) is a free and open source geographic information system used for editing and analysing spatial data. It includes a large number of modules for the analysis of vector, table, grid and image data.

The SAGA command line interpreter is particularly useful for the processing of complex work flows by defining a series of subsequent tool calls in a script file. Calling saga_cmd with the option '-b' or '--batch' will create an example of a DOS batch script file, which might be a good starting point for the implementation of your own specific work flows.

When run without arguments, the module libraries in the current module library are listed. By default this is the directory which was set at installtion (/usr/lib/saga). This can be overwritten by setting the environment variable SAGA_MLB.

OPTIONS

[SAGA_MLB=dirname]
    Module libraries are expected to be located in the directory that is specified by the environment variable 'SAGA_MLB'. If this is not found the module installation directory (/usr/lib/saga) will be searched for instead.

LIBRARY [MODULE] [MODULE OPTIONS]
    Specify the library (ie ta_morphometry) and the module (number or name). If no module is specified the different modules of a library are listed.

-h, --help
    Display help and exit

-d, --docs
    Create tool documentation in the current working directory

-b, --batch
    Create batch file examples in the current working directory

-c, --cores
    Number of physical processors to use for computation

-f, --flags
    Various flags for general usage [qrsilpxo]

    q No progress report
    r No messages report
    s Silent mode (no progress and no messages report)
    i Allow user interaction
    l Load translation dictionary
    p Load projections dictionary
    x Use XML markups for synopses and messages
    o Load old style naming

EXAMPLE
export SAGA_MLB=/usr/lib/saga

saga_cmd ta_morphometry "Local Morphometry" -ELEVATION dem.sgrd -SLOPE slope.sgrd -ASPECT aspect.sgrd -METHOD 1

Multiple input files can be specified by separating them by a semicolon (;).

saga_cmd libgrid_tools Merging -GRIDS test1.sgrd\;test2.sgrd -GRID_TARGET merged.sgrd

BUGS
On the website of http://www.saga-gis.org, a list of known bugs can be found and new bug reports can be submitted.

AUTHORS
SAGA was written by Olaf Conrad with help from a large number of contributors. This manual page was written by Johan Van de Wauw. This manual is released under the GNU Lesser General Public License v2.1. The SAGA API uses the same license, however most of SAGA itself uses the GNU General Public License 2 or higher.

More info http://www.saga-gis.org

Please provide the following reference in your work if you are using SAGA:

Conrad, O., Bechtel, B., Bock, M., Dietrich, H., Fischer, E., Gerlitz, L., Wehberg, J., Wichmann, V., and Boehner, J. (2015): System for Automated Geoscientific Analyses (SAGA) v. 2.1.4. Geosci. Model Dev., 8, 1991-2007, doi:10.5194/gmd-8-1991-2015.

http://www.geosci-model-dev.net/8/1991/2015/gmd-8-1991-2015.html